
/*------------------------------------*\
  TYPOGRAPHY
\*------------------------------------*/

@font-face {
  font-family:'OpenSans-Regular';
  src:url('../fonts/Open_Sans/OpenSans-Regular.eot');
  src:url('../fonts/Open_Sans/OpenSans-Regular.eot?#iefix') format('embedded-opentype'),
    /*url('../fonts/Open_Sans/OpenSans-Regular.woff') format('woff'),*/
    url('../fonts/Open_Sans/OpenSans-Regular.ttf') format('truetype'),
    url('../fonts/Open_Sans/OpenSans-Regular.svg#font-name') format('svg');
    font-weight:normal;
    font-style:normal;
}

@font-face {
  font-family:'OpenSans-Bold';
  src:url('../fonts/Open_Sans/OpenSans-Bold.eot');
  src:url('../fonts/Open_Sans/OpenSans-Bold.eot?#iefix') format('embedded-opentype'),
    /*url('../fonts/Open_Sans/OpenSans-Bold.woff') format('woff'),*/
    url('../fonts/Open_Sans/OpenSans-Bold.ttf') format('truetype'),
    url('../fonts/Open_Sans/OpenSans-Bold.svg#font-name') format('svg');
    font-weight:normal;
    font-style:normal;
}

@font-face {
  font-family:'OpenSans-Italic';
  src:url('../fonts/Open_Sans/OpenSans-Italic.eot');
  src:url('../fonts/Open_Sans/OpenSans-Italic.eot?#iefix') format('embedded-opentype'),
    /*url('../fonts/Open_Sans/OpenSans-Bold.woff') format('woff'),*/
    url('../fonts/Open_Sans/OpenSans-Italic.ttf') format('truetype'),
    url('../fonts/Open_Sans/OpenSans-Italic.svg#font-name') format('svg');
    font-weight:normal;
    font-style:normal;
}

/*------------------------------------*\
    MAIN
\*------------------------------------*/

html, body {
  margin: 0; 
  padding: 0; 
  overflow-x:hidden;
}

body {
  font: 300 20px/1.4 'OpenSans-Regular', Helvetica, Arial, sans-serif;
  color: white;
  background-color: black;
  width: 100%;
  /*width: 100vw;*/
  overflow-y: auto;
}

body.loading {
  pointer-events: none;
}

b {
  color: black;
}

h1 {
  font: 36px/1.27 'OpenSans-Bold', Helvetica, Arial, sans-serif;
}

h2 {
  font: 300 20px/1.4 'OpenSans-Bold', Helvetica, Arial, sans-serif;
}

pre {
  color: white;
  font-size: 14px;
}

@media only screen and (min-width: 768px) { 


  h1 {
    font: 300 60px/1.23 'OpenSans-Bold', Helvetica, Arial, sans-serif;
  }

  h2 {
    font: 300 45px/1.4 'OpenSans-Bold', Helvetica, Arial, sans-serif;
  }

  #nav-menu {
    font: 300 45px/1.4 'OpenSans-Regular', Helvetica, Arial, sans-serif;
  }

}

@media only screen and (min-width: 992px) { 

  body {
    font: 300 45px/1.4 'OpenSans-Regular', Helvetica, Arial, sans-serif;
  }

}

#nav-menu {
  margin-top: 15px;
}

.nav li:after {
  content: ' | ';
  display: inline;
}

.col--footer-links li {
  display: block;
  margin-bottom: 30px;
}

@media only screen and (min-width: 992px) { 
  .col--footer-links li {
    display: inline;
  }
  .col--footer-links li:after {
    content: ' | ';
    display: inline;
  }
}

.nav li:last-child:after, 
.col--footer-links li:last-child:after {
  content: '';
}

.nav li a {
  text-decoration: none;
}

.nav li a:hover {
  border-bottom: 5px solid white;
}

.h1--colored {
  color: white;
}

.container {
  width: 100%;
  max-width: 100%;
  padding-right: 0;
  padding-left: 0;
}

.container-fluid {
  width: 100vw;
}

.col--header {
  padding: 20px 30px 0 30px;
}

@media only screen and (min-width: 992px) { 
  .col--header {
    padding: 50px;
  }
}

.col.header-tile-1 {
  background-image: url('../img/backgrounds/deco-4.svg');
}

@media only screen and (min-width: 992px) { 
  .col.header-tile-1 {
    background-image: url('../img/backgrounds/header-1.svg');
  }
  .h1--colored {
    color: rgb(248,231,28);
  }
}

.col.deco-tile-1 {
  background-image: url('../img/backgrounds/deco-1.svg');
}

.col.deco-tile-2 {
  background-image: url('../img/backgrounds/deco-2.svg');
}

.col.deco-tile-3 {
  background-image: url('../img/backgrounds/deco-3.svg');
}

.col.deco-tile-4 {
  background-image: url('../img/backgrounds/deco-4.svg');
}

.col.deco-tile-5 {
  background-image: url('../img/backgrounds/deco-5.svg');
}

.col.deco-tile-6 {
  background-image: url('../img/backgrounds/deco-6.svg');
}

.col.deco-tile-7 {
  background-image: url('../img/backgrounds/deco-7.svg');
}

.col.deco-tile-8 {
  background-image: url('../img/backgrounds/deco-8.svg');
}

.col.deco-tile-9 {
  background-image: url('../img/backgrounds/deco-9.svg');
}

.col.deco-tile-10 {
  background-image: url('../img/backgrounds/deco-10.svg');
}

.col.deco-tile-11 {
  background-image: url('../img/backgrounds/deco-11.svg');
}

.col.deco-tile-12 {
  background-image: url('../img/backgrounds/deco-12.svg');
}

.col.deco-tile-13 {
  background-image: url('../img/backgrounds/deco-13.svg');
}

.col.deco-tile-14 {
  background-image: url('../img/backgrounds/deco-14.svg');
}

.col.post-tile-image-1 {
  background-image: url('../img/backgrounds/post-1.svg');
}

.col.post-tile-color-1 {
  background-color: #000;
}

.col.post-tile-image-2 {
  background-image: url('../img/backgrounds/post-2.svg');
}

.col.post-tile-color-2 {
  background-color: #E11417;
}

.col.post-tile-image-3 {
  background-image: url('../img/backgrounds/post-3.svg');
}

.col.post-tile-color-3 {
  background-color: #FF9901;
}

.col.post-tile-image-4 {
  background-image: url('../img/backgrounds/post-4.svg');
}

.col.post-tile-color-4 {
  background-color: #FF9901;
}

.col--content {
  position: absolute;
  width: 100%;
  height: 100.2%;
  left: 0;
  top: 0;
  display: table;
}

.col--square-lg .col--content {
  position: relative;
}

.col--square {
  padding-bottom: 100vw;
  /*background-size: contain;*/
  background-size: 100.2%;
  overflow: hidden;
  padding-left: 0;
  padding-right: 0;
}

.col--square-deco {
  padding-bottom: 50vw;
}

.col--square-small {
  padding-bottom: 25vw !important;
}

.col--image-wrapper {
  padding: 25px;
}

.col--image {
  background-size: cover;
  background-position: center center;
  padding-bottom: 100.2%;
}

.col--center {
  display: table-cell;
  vertical-align: middle;
  text-align: center;
}

.col--post {
  padding-top: 12px;
  padding-bottom: 34px;
}
.col--post h2 {
  font: 300 20px/1.4 'OpenSans-Bold', Helvetica, Arial, sans-serif;
}

.col--post p {
  font: 300 20px/1.4 'OpenSans-Italic', Helvetica, Arial, sans-serif;
}

a.post-link:active .row {
  opacity: 0.7;
}

#instagram-target {
  display: none;
}
.insta-tile a {
  display: block;
  padding-bottom: 100%;
  background-size: cover;
  background-position: 50% 50%;
  opacity: 0;
  transition: opacity 0.5s ease-out;
}

.insta-tile--small {
  width: 100.2%;
  max-width: 100.2%;
  height: 100.2%;
}


.insta-tile--small a {
  padding-bottom: 100.2%;
  width: 100.2%;
  height: 100.2%;
}

.insta-tile img {
  width: 100%;
  height: 100%;
  display: none;
}

.col--instalink {
  font: 300 20px/1.4 'OpenSans-Bold', Helvetica, Arial, sans-serif;
  color: black;
  text-decoration: underline;
  background-color: white;
}

.col--twitter{
  font: 300 20px/1.4 'OpenSans-Bold', Helvetica, Arial, sans-serif;
  padding-bottom: 100vw;
  background-color: #e11420;
}

.col--footer {
  font: 300 20px/1.4 'OpenSans-Bold', Helvetica, Arial, sans-serif;
  padding-bottom: 100vw;
  background-color: #e11420;
}

.col--footer {
  background-color: #000;
}

.col--footer-links {
  display: table-cell;
  vertical-align: middle;
  text-align: center;
  padding-bottom: 70px;
}

.col--twitter a,
.col--footer a {
  text-decoration: underline;
}

.col--tweet,
.col--footer-links {
  padding-right: 70px;
  padding-left: 70px;
}

.col--tweet .stt-em:before {
  content: 'twittered Bertil ';
}

.col--tweet .stt-em {
  font: 300 20px/1.4 'OpenSans-Italic', Helvetica, Arial, sans-serif;
}

.col--tweet .stt-em a {
  display: none;
}

.col--copy {
  font: 300 20px/1.4 'OpenSans-Bold', Helvetica, Arial, sans-serif;
  position: absolute;
  left: 0;
  bottom: 38px;
  width: 100%;
  text-align: center;
}

.col--more-posts {
  font: 300 45px/1.4 'OpenSans-Bold', Helvetica, Arial, sans-serif;
  text-align: center;
  background-color: #e11420;
}

.col--more-posts .col--content{
  position: relative !important;
  padding: 30px 0 35px 0;
}

.ajax-post-wrapper {
  -webkit-transition: opacity .3s ease-out, transform .3s ease-out;
  transition: opacity .3s ease-out, transform .3s ease-out;
}

.ajax-post-wrapper.hidden {
  opacity: 0;
}

#more-posts {
  cursor: pointer;
  user-select: none;
}

#more-posts:hover {
  text-decoration: underline;
}

@media only screen and (min-width: 768px) { 
  .col--post {
    padding-top: 16px;
    padding-bottom: 76px;
  }

  .col--image-wrapper {
    padding: 60px;
  } 
  .col--post h2 {
    font: 300 45px/1.1 'OpenSans-Bold', Helvetica, Arial, sans-serif;
  }

  .col--post p {
    font: 300 45px/1.1 'OpenSans-Italic', Helvetica, Arial, sans-serif;
  }
  .col--instalink,
  .col--twitter,
  .col--footer {
    font: 300 45px/1.4 'OpenSans-Bold', Helvetica, Arial, sans-serif;
  }
  .col--tweet .stt-em {
    font: 300 45px/1.4 'OpenSans-Italic', Helvetica, Arial, sans-serif;
  }
  .col--copy {
    font: 300 45px/1.4 'OpenSans-Bold', Helvetica, Arial, sans-serif;
    bottom: 50px;
  }

  
}

@media only screen and (min-width: 992px) { 
  .col--square,
  .col--square-lg {
    padding-bottom: 50vw;
    background-size: 100.2%;
  } 
  .instagram-container .col--square-deco {
    padding-bottom: 0;
  }
  .col--square-lg .col--content,
  .col--twitter .col--content,
  .col--footer .col--content {
    position: absolute;
  }
  .col--post {
    padding-top: 0;
    padding-bottom: 0;
    padding-left: 90px;
    padding-right: 90px;
  }
  
  .col--image-wrapper {
    padding: 38px;
  } 
  .col--twitter,
  .col--footer {
    padding-bottom: 50vw;
  }
  .col--tweet {
    padding-right: 200px;
    padding-left: 200px;
  }
}


/*------------------------------------*\
    POST
\*------------------------------------*/

#single-post-section {
  background-color: #542f87;
  width: 100%;
  height: 100vh;
}

.ajax-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  display: none;
  opacity: 0;
  -webkit-transition: opacity .3s ease-out, transform .3s ease-out;
  transition: opacity .3s ease-out, transform .3s ease-out;
  -webkit-transform: scale(0.75);
    -o-transform: scale(0.75);
       transform: scale(0.75);
}

.ajax-wrapper.full {
  -webkit-transform: scale(1);
    -o-transform: scale(1);
       transform: scale(1);
}

#ajax-loader {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  -webkit-transition: opacity .3s ease-out;
  transition: opacity .3s ease-out;
  opacity: 0;
  display: none;
}

/*.loading #ajax-loader {
  opacity: 1;
  display: block;
  -webkit-transition: none;
  transition: none;
}*/

.col--carousel {
  padding-left: 0;
  padding-right: 0;
}

.col--carousel-title {
  position: absolute;
/*  top: 38px;
  left: 25px;
  padding-right: 80px;*/
  z-index: 1000;
  pointer-events: none;
  top: 0;
  left: 0;
  bottom: 50px;
  right: 0;
  padding: 25px 25px 0 25px;
  overflow: hidden;
  height: calc(100vh - 50px);
}

.col--carousel-title h1 {
  margin-right: 55px;
}

.col--carousel-title-scroller {
  padding-bottom: 50px;
}

.col--detail-close,
.ajax-wrapper--close {
  font: 300 36px/1.4 'OpenSans-Bold', Helvetica, Arial, sans-serif;
  position: absolute;
  top: 13px;
  right: 25px;
  z-index: 1000;
}

.col--detail-close img {
  height: 32px;
}

.col--detail-close a:active {
  opacity: 0.3;
}

.post-carousel {
  width: 100%;
  height: 100vh;
  z-index: 100;
}

.carousel-cell {
  width: 100%; /* full width */
  height: 100vh; /* height of carousel */
  margin-right: 0;
  padding: 38px 25px 0px 25px;
  background-size: cover;
  background-position: center center;
}

.project-category:after {
  content: ', ';
}

.project-category:last-child:after {
  content: '';
}

.project-credits, .text-body {
  font: 300 20px/1.4 'OpenSans-Regular', Helvetica, Arial, sans-serif;
  /*margin-top: 50px;*/
  /*font: 300 16px/1.4 'OpenSans-Regular', Helvetica, Arial, sans-serif;*/
  margin-top: 20px;
}

.project-credits {
  transform-origin: top left;
}

.flickity-prev-next-button {
  display: none;
}

.flickity-page-dots {
  bottom: 10px;
}

.flickity-page-dots .dot {
  width: 12px;
  height: 12px;
  opacity: 1;
  background: rgba(255,255,255,.3);
}
/* fill-in selected dot */
.flickity-page-dots .dot.is-selected {
  background: rgba(255,255,255,.0);
  border: 2px solid white;
}

.videoTable {
  display: table;
  height: calc(100% - 80px);
  margin: 0 auto;
}

.videoShrink {
  margin: 0 auto;
  max-width: 100%;
  display: table-cell;
  vertical-align: middle;
}  

.videoWrapper {
  position: relative;
  padding-bottom: 56.25%; /* 16:9 */
  padding-top: 25px;
  height: 0;
  margin-top: 50px;
}
.videoWrapper iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}



@media only screen and (min-width: 992px) { 
  .col--carousel-title {
    /*top: 50px;
    left: 50px;*/
    padding-right: 100px;
    padding: 50px 80px 0 50px;
  }
  .col--detail-close {
    position: absolute;
    top: 60px;
    right: 50px;
  }

  .col--detail-close img {
    height: 64px;
  }

  .carousel-cell {
    width: 100%; /* full width */
    height: 100vh; /* height of carousel */
    margin-right: 0;
    padding: 132px 50px 0px 50px;
    background-size: cover;
    background-position: center center;
  }
  .project-credits, .text-body {
    font: 300 30px/1.4 'OpenSans-Regular', Helvetica, Arial, sans-serif;
    /*margin-top: 80px;*/
    /*font: 300 20px/1.4 'OpenSans-Regular', Helvetica, Arial, sans-serif;*/
    margin-top: 30px;
  }
  .flickity-page-dots {
    bottom: 30px;
  }
  .flickity-page-dots .dot {
    width: 16px;
    height: 16px;
    opacity: 1;
    background: rgba(255,255,255,.3);
  }
  .videoWrapper {
    margin-top: 0;
  }
}

/*------------------------------------*\
    PAGE
\*------------------------------------*/


#page-section {
  background: rgba(248,231,28,1.0);
  width: 100%;
  min-height: 100vh;
  padding: 38px 0 0 0;
  color: black;
  height: 100vh;
  overflow-y: auto;
}

#page-section a {
  color: black;
  text-decoration: underline;
  transition: color 0.2s ease-out, background-color 0.2s ease-out;
}
#page-section a:hover {
  color: rgba(248,231,28,1.0);
  background-color: black;
}
#page-section a:active {
  color: rgba(248,231,28,1.0);
  background-color: white;
}
#page-section h1 {
  padding-left: 25px;
  padding-right: 25px;
}

#page-section p::selection,
#page-section h1::selection {
  background: black; 
  color: rgba(248,231,28,1.0);
}
#page-section p::-moz-selection,
#page-section h1::-moz-selection {
  background: black; 
  color: rgba(248,231,28,1.0);
}

#page-section article {
  font: 300 20px/1.2 'OpenSans-Regular', Helvetica, Arial, sans-serif;
  padding-top: 38px;
  max-width: 1200px;
  padding: 25px;
}

#page-section .col--detail-close a {
  color: black;
}
#page-section .col--detail-close a:hover {
  color: white;
  background-color: transparent;
  transition: color 0.2s ease-out, background-color 0.2s ease-out;
}


#page-section.text-only {
  background: #E11417;
  color: white;
}
#page-section.text-only a {
  color: white;
}
#page-section.text-only a:hover {
  color:  #E11417;
  background-color: white;
}
#page-section.text-only a:active {
  color:  #E11417;
  background-color: black;
}
#page-section.text-only p::selection,
#page-section.text-only h1::selection {
  background: white; 
  color: #E11417;
}
#page-section.text-only p::-moz-selection,
#page-section.text-only h1::-moz-selection {
  background: white; 
  color: #E11417;
}

#page-section.text-only .col--detail-close a {
  color: white;
}
#page-section.text-only .col--detail-close a:hover {
  color: black;
  background-color: transparent;
}

@media only screen and (min-width: 992px) { 
  #page-section {
    padding: 50px;
  }
  #page-section article {
    font: 300 45px/1.2 'OpenSans-Regular', Helvetica, Arial, sans-serif;
    padding-top: 50px;
  }
}



/*------------------------------------*\
    RESPONSIVE
\*------------------------------------*/

@media only screen and (min-width:320px) {

}
@media only screen and (min-width:480px) {

}
@media only screen and (min-width:768px) {

}
@media only screen and (min-width:1024px) {

}
@media only screen and (min-width:1140px) {

}
@media only screen and (min-width:1280px) {

}
@media only screen and (-webkit-min-device-pixel-ratio:1.5),
     only screen and (min-resolution:144dpi) {

}

/*------------------------------------*\
    MISC
\*------------------------------------*/

::selection {
  background:#04A4CC;
  color:#FFF;
  text-shadow:none;
}
::-webkit-selection {
  background:#04A4CC;
  color:#FFF;
  text-shadow:none;
}
::-moz-selection {
  background:#04A4CC;
  color:#FFF;
  text-shadow:none;
}

/*------------------------------------*\
    WORDPRESS CORE
\*------------------------------------*/

.alignnone {
  margin:5px 20px 20px 0;
}
.aligncenter,
div.aligncenter {
  display:block;
  margin:5px auto 5px auto;
}
.alignright {
  float:right;
  margin:5px 0 20px 20px;
}
.alignleft {
  float:left;
  margin:5px 20px 20px 0;
}
a img.alignright {
  float:right;
  margin:5px 0 20px 20px;
}
a img.alignnone {
  margin:5px 20px 20px 0;
}
a img.alignleft {
  float:left;
  margin:5px 20px 20px 0;
}
a img.aligncenter {
  display:block;
  margin-left:auto;
  margin-right:auto;
}
.wp-caption {
  background:#FFF;
  border:1px solid #F0F0F0;
  max-width:96%;
  padding:5px 3px 10px;
  text-align:center;
}
.wp-caption.alignnone {
  margin:5px 20px 20px 0;
}
.wp-caption.alignleft {
  margin:5px 20px 20px 0;
}
.wp-caption.alignright {
  margin:5px 0 20px 20px;
}
.wp-caption img {
  border:0 none;
  height:auto;
  margin:0;
  max-width:98.5%;
  padding:0;
  width:auto;
}
.wp-caption .wp-caption-text,
.gallery-caption {
  font-size:11px;
  line-height:17px;
  margin:0;
  padding:0 4px 5px;
}
.sticky {

}
.bypostauthor {

}

/*------------------------------------*\
    PRINT
\*------------------------------------*/

@media print {
  * {
    background:transparent !important;
    color:#000 !important;
    box-shadow:none !important;
    text-shadow:none !important;
  }
  a,
  a:visited {
    text-decoration:underline;
  }
  a[href]:after {
    content:" (" attr(href) ")";
  }
  abbr[title]:after {
    content:" (" attr(title) ")";
  }
  .ir a:after,
  a[href^="javascript:"]:after,
  a[href^="#"]:after {
    content:"";
  }
  pre,blockquote {
    border:1px solid #999;
    page-break-inside:avoid;
  }
  thead {
    display:table-header-group;
  }
  tr,img {
    page-break-inside:avoid;
  }
  img {
    max-width:100% !important;
  }
  @page {
    margin:0.5cm;
  }
  p,
  h2,
  h3 {
    orphans:3;
    widows:3;
  }
  h2,
  h3 {
    page-break-after:avoid;
  }
}

/*------------------------------------*\
    DEFAULTS
\*------------------------------------*/

/* global box-sizing */
*,
*:after,
*:before {
  -moz-box-sizing:border-box;
  box-sizing:border-box;
  -webkit-font-smoothing:antialiased;
  font-smoothing:antialiased;
  text-rendering:optimizeLegibility;
}
/* html element 62.5% font-size for REM use */
html {
  font-size:62.5%;
}

/* clear */
.clear:before,
.clear:after {
    content:' ';
    display:table;
}

.clear:after {
    clear:both;
}
.clear {
    *zoom:1;
}
img {
  max-width:100%;
  vertical-align:bottom;
}
a {
  color: white;
  text-decoration:none;
}
a:hover {
  color: white;
}
a:focus {
  outline:0;
}
a:hover,
a:active {
  outline:0;
}
input:focus {
  outline:0;
  border:1px solid #04A4CC;
}

ul, li {
  list-style: none;
  margin: 0;
  padding: 0;
  display: inline;
}

.no-padding {
  padding: 0 !important;
}


/*------------------------------------*\
    SPINNER
\*------------------------------------*/

.loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  -webkit-transition: opacity .3s ease-out;
  transition: opacity .3s ease-out;
  opacity: 0;
  display: none;
  background: rgba(0,0,0,0.1);
}

.loading .loader {
  opacity: 1;
  display: block;
}

/* https://tobiasahlin.com/spinkit/ */

.spinner {
  position: absolute;
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  background-color: #542f87;

  /*border-radius: 100%;  */
  -webkit-animation: sk-scaleout 1.0s infinite ease-in-out;
  animation: sk-scaleout 1.0s infinite ease-in-out;
}

@-webkit-keyframes sk-scaleout {
  0% { -webkit-transform: scale(0) }
  100% {
    -webkit-transform: scale(1.0);
    opacity: 0;
  }
}

@keyframes sk-scaleout {
  0% { 
    -webkit-transform: scale(0);
    transform: scale(0);
  } 100% {
    -webkit-transform: scale(1.0);
    transform: scale(1.0);
    opacity: 0;
  }
}

